Synswi
  1. MFA Setup
Synswi
  • Guides
    • Getting Started With the API
  • API Reference
    • Accounts
      • Onboarding forms
        • Create a Onboarding Form
      • Get profile
      • Create new profile
      • Register webhook
      • Get Accounts
    • Account Setting
      • Get account setting
      • Update account setting
    • Devices
      • Get Devices
    • Dispute
      • Get disputes
    • Payment instruments
      • Create a payment instrument
      • Get payment instruments
      • Get a payment instrument by id
      • Create a Payment Instrument
    • Transactions
      • Get a transaction by id
      • Get transactions
      • Create a transaction
      • Update a transaction
      • Refund a transaction
    • Fees
      • Get current fee profile
    • Settlements
      • get settlements
      • get settlement entries
    • Identity
      • MFA
        • MFA Setup
          • Initiate MFA Setup
            POST
          • Verify MFA Setup
            POST
        • MFA Login
          • Switch MFA Login Method
          • Verify MFA Login
        • MFA Disable
          • Initiate MFA Disable
          • Verify MFA Disable
        • MFA Resend
          • Resend MFA Email Code
      • Register an user
        POST
      • Login
        POST
      • Validate Token
        POST
      • Create an api key
        POST
      • List api keys
        GET
      • Get Users
        GET
    • Programs
      • Accounts
    • Permission
      • Verify user permissions
      • Get Account Users
      • List Accounts
    • Events
      • Get Events
  • Schemas
    • Additional Purchase Data
    • MFAMethod
    • MFASetupRequest
    • MFAVerifyRequest
    • MFASwitchMethodRequest
    • MFADisableRequest
    • MFAResendRequest
    • MFASetupEmailResponse
    • MFASetupAuthenticatorResponse
    • MFAVerifySetupResponse
    • MFASwitchResponse
    • MFALoginVerifyResponse
    • MFADisableInitResponse
    • MFAVerifyDisableResponse
    • MFAResendResponse
    • ErrorResponse
    • ValidationErrorResponse
    • InvalidPasswordErrorResponse
    • UserNotFoundErrorResponse
    • MFAAlreadyEnabledErrorResponse
    • MFANotEnabledErrorResponse
    • MFAMethodNotEnabledErrorResponse
    • MFATokenInvalidErrorResponse
    • MFATokenExpiredErrorResponse
    • MFAWrongPurposeErrorResponse
    • InvalidMFACodeErrorResponse
    • TooManyMFAAttemptsErrorResponse
    • TooManyMFAEmailsErrorResponse
    • AuthenticatorNotConfiguredErrorResponse
    • InvalidMFAMethodErrorResponse
    • ResendOnlyForEmailErrorResponse
    • MaxResendLimitErrorResponse
    • ResendCooldownErrorResponse
  1. MFA Setup

Verify MFA Setup

POST
https://api-dev.synswi.com/identity/mfa/setup/verify
Confirm the MFA setup by providing the verification code.
On success, the MFA method is added to the user's account.

Request

Body Params application/jsonRequired

Example
{
    "mfaToken": "{{mfaToken}}",
    "code": "123456"
}

Responses

🟢200
application/json
MFA method enabled
Body

Example
{
    "message": "Email MFA enabled successfully. Your account is now more secure.",
    "mfaMethods": [
        "email"
    ],
    "enabledAt": "2019-08-24T14:15:22.123Z",
    "method": "email"
}
🟠400
🟠404
🟠429
Previous
Initiate MFA Setup
Next
Switch MFA Login Method
Built with